import 'package:freezed_annotation/freezed_annotation.dart';

part 'trakt_user.freezed.dart';
part 'trakt_user.g.dart';


@freezed
abstract class TraktUser with _$TraktUser {
  const factory TraktUser({@Default('') String username}) = _TraktUser;

  factory TraktUser.fromJson(Map<String, dynamic> json) =>
      _$TraktUserFromJson(json);
}


@freezed
abstract class TraktUserSettings with _$TraktUserSettings {
  const factory TraktUserSettings({TraktUser? user}) = _TraktUserSettings;

  factory TraktUserSettings.fromJson(Map<String, dynamic> json) =>
      _$TraktUserSettingsFromJson(json);
}
